%define	major 3
%define libname %mklibname tirpc %{major}
%define develname %mklibname tirpc -d

Summary:	Transport Independent RPC Library
Name:		libtirpc
Version:	    1.3.3
Release:	%mkrel 1
License:	    GPLv2
Group:		System/Libraries
URL:		    https://sourceforge.net/projects/libtirpc
Source0:	https://downloads.sourceforge.net/libtirpc/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig
BuildRequires:	lib64krb53-devel

%description
This package contains SunLib's implementation of transport-independent
RPC (TI-RPC) documentation. This library forms a piece of the base of
Open Network Computing (ONC), and is derived directly from the
Solaris 2.3 source.

TI-RPC is an enhanced version of TS-RPC that requires the UNIX System V
Transport Layer Interface (TLI) or an equivalent X/Open Transport Interface
(XTI). TI-RPC is on-the-wire compatible with the TS-RPC, which is supported
by almost 70 vendors on all major operating systems.  TS-RPC source code
(RPCSRC 4.0) remains available from several internet sites.

%package -n	%{libname}
Summary:	Transport Independent RPC Library
Group:		System/Libraries
Requires:	%{name}

%description -n	%{libname}
This package contains SunLib's implementation of transport-independent
RPC (TI-RPC) documentation. This library forms a piece of the base of
Open Network Computing (ONC), and is derived directly from the
Solaris 2.3 source.

TI-RPC is an enhanced version of TS-RPC that requires the UNIX System V
Transport Layer Interface (TLI) or an equivalent X/Open Transport Interface
(XTI). TI-RPC is on-the-wire compatible with the TS-RPC, which is supported
by almost 70 vendors on all major operating systems.  TS-RPC source code
(RPCSRC 4.0) remains available from several internet sites.

%package -n	%{develname}
Summary:	Development files for the libtirpc library
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	tirpc-devel = %{version}-%{release}
Provides:	libtirpc-devel = %{version}-%{release}

%description -n	%{develname}
This package contains SunLib's implementation of transport-independent
RPC (TI-RPC) documentation. This library forms a piece of the base of
Open Network Computing (ONC), and is derived directly from the
Solaris 2.3 source.

TI-RPC is an enhanced version of TS-RPC that requires the UNIX System V
Transport Layer Interface (TLI) or an equivalent X/Open Transport Interface
(XTI). TI-RPC is on-the-wire compatible with the TS-RPC, which is supported
by almost 70 vendors on all major operating systems.  TS-RPC source code
(RPCSRC 4.0) remains available from several internet sites.

This package includes header files and libraries necessary for developing
programs which use the tirpc library.


%prep
%setup -q
%apply_patches

%build
export CFLAGS="%{optflags} -fPIC"
sed -i -e 's|${includedir}/tirpc|${includedir}|g' libtirpc.pc.in
%configure2_5x --disable-static
%make_build all

%install
rm -rf %buildroot
%make_install
install -m 755 -d %{buildroot}%{_sysconfdir}
install -m 644 doc/netconfig %{buildroot}%{_sysconfdir}/netconfig

# remove the .la file, it makes libtool reorder args when linking nfs-utils:
# http://lists.gnu.org/archive/html/libtool/2010-03/msg00023.html
find %{buildroot} -name '*.la' -delete
# move devel so link to _libdir
mkdir -p %{buildroot}/%{_libdir}
# Move RPC headers from tirpc subdirectory into main directory,
# they are now default
mv -v %{buildroot}%{_includedir}/tirpc/* %{buildroot}%{_includedir}
# link stuff back to tirpc directory needed for some programs, i.e. gdal
ln -sd %{_includedir}/rpc %{buildroot}%{_includedir}/tirpc/rpc
ln -sd %{_includedir}/rpcsvc %{buildroot}%{_includedir}/tirpc/rpcsvc
ln -sf %{_includedir}/netconfig.h %{buildroot}%{_includedir}/tirpc/netconfig.h

%files
%config(noreplace) %{_sysconfdir}/netconfig
%config(noreplace) %{_sysconfdir}/bindresvport.blacklist

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%{_libdir}/*.so
%{_libdir}/pkgconfig/libtirpc.pc
%{_includedir}/*
%{_mandir}/man3/*
%{_mandir}/man5/*


%changelog
* Sat Sep 17 2022 pp - 1.3.3-1pclos2021
- new version

* Wed Sep 08 2021 pp - 1.3.2-3pclos2021
- add links to tirpc directory

* Tue Jul 06 2021 yodelu - 1.3.2-2pclos2021
- move development files into includedir

* Mon May 17 2021 tex - 1.3.2-1pclos2021
- new version

* Thu May 13 2021 tex - 1.3.1-1pclos2021
- new version
